package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DataConfigFieldEntryCollection extends AbstractObjectCollection 
{
    public DataConfigFieldEntryCollection()
    {
        super(DataConfigFieldEntryInfo.class);
    }
    public boolean add(DataConfigFieldEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DataConfigFieldEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DataConfigFieldEntryInfo item)
    {
        return removeObject(item);
    }
    public DataConfigFieldEntryInfo get(int index)
    {
        return(DataConfigFieldEntryInfo)getObject(index);
    }
    public DataConfigFieldEntryInfo get(Object key)
    {
        return(DataConfigFieldEntryInfo)getObject(key);
    }
    public void set(int index, DataConfigFieldEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DataConfigFieldEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DataConfigFieldEntryInfo item)
    {
        return super.indexOf(item);
    }
}